Tester une version BETA mineure de Symfony

Publié le 11/05/2019 • Mis à jour le 05/05/2020


English language detected! 🇬🇧

  We noticed that your browser is using English. Do you want to read this post in this language?

Read the english version 🇬🇧 Close

Symfony 5.1 beta1 a été publié le 5 mai 2020, vous pouvez tester cette version en modifiant votre fichier composer.json. Le snippet JSON suivant vous montre les parties devant être modifiées dans votre propre fichier. Vous devez aussi modifier les prérequis "^5.0" pour "^5.1" comme je l'ai fais ci-dessous pour la dépendance symfony/http-kernel. Puis lancez composer update.
Veuillez noter que cette migration ne devrait pas être faite sur un projet en production, mais comme le but principal de ce blog est de tester Symfony, je vais prendre le risque ! 😜 N'oubliez pas de reporter des bugs éventuels sur Github. (j'ai migré depuis Symfony 5.0, c'est donc le chemin de migration le plus simple qui soit)
[05/05/2020] Mise à jour pour Symfony 5.1 beta1.


{
    "minimum-stability": "beta",
    "require": {
        "symfony/http-kernel": "^5.1",
    },
    "extra": {
        "symfony": {
            "require": "5.1.*",
        }
    }
}

 Plus sur Stackoverflow   Lire la doc  Snippet aléatoire